import { Resource } from 'aws-cdk-lib';
import { IConstruct } from 'constructs';
export interface VpcCidrBlockResolverProps {
    readonly associationId: string;
    readonly vpcId: string;
}
export declare class VpcCidrBlockResolver extends Resource {
    static readonly RESOURCE_TYPE: string;
    readonly cidrBlock: string;
    constructor(scope: IConstruct, id: string, props: VpcCidrBlockResolverProps);
}
